> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recallrai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Retrieve detailed information for a specific user.

Get user profile including metadata, creation date, and last activity timestamp.

**Path Parameters:**
- `custom_user_id` (str): Unique identifier for the user

**Returns:**
- `user` (UserInfo): User object with custom_user_id, metadata, created_at, and last_active_at



## OpenAPI

````yaml https://api.recallrai.com/api/openapi.json get /api/v1/users/{custom_user_id}
openapi: 3.1.0
info:
  title: api-backend
  description: This powers the Recallr AI API Backend
  version: 0.1.0
servers:
  - url: https://api.recallrai.com
    description: Production server
security: []
paths:
  /api/v1/users/{custom_user_id}:
    get:
      tags:
        - Users
      summary: Get User
      description: >-
        Retrieve detailed information for a specific user.


        Get user profile including metadata, creation date, and last activity
        timestamp.


        **Path Parameters:**

        - `custom_user_id` (str): Unique identifier for the user


        **Returns:**

        - `user` (UserInfo): User object with custom_user_id, metadata,
        created_at, and last_active_at
      operationId: get_user_api_v1_users__custom_user_id__get
      parameters:
        - name: custom_user_id
          in: path
          required: true
          schema:
            type: string
            title: The ID of the user to get
        - name: X-Recallr-Project-Id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            title: X-Recallr-Project-Id
        - name: X-Recallr-Api-Key
          in: header
          required: true
          schema:
            type: string
            title: X-Recallr-Api-Key
      responses:
        '200':
          description: User details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserResponse'
        '401':
          description: Authentication required
        '404':
          description: User not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal server error
components:
  schemas:
    GetUserResponse:
      properties:
        user:
          $ref: '#/components/schemas/UserInfo'
      type: object
      required:
        - user
      title: GetUserResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserInfo:
      properties:
        custom_user_id:
          type: string
          title: Custom User Id
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
        merge_conflict_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Merge Conflict Enabled
        created_at:
          type: string
          format: date-time
          title: Created At
        last_active_at:
          type: string
          format: date-time
          title: Last Active At
      type: object
      required:
        - custom_user_id
        - metadata
        - merge_conflict_enabled
        - created_at
        - last_active_at
      title: UserInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````